# 平板大屏桌面
## 简介
ukui-tablet-desktop是UKUI桌面环境的平板桌面与大屏桌面。根据版本类别判断显示平板桌面还是大屏桌面。
### 平板桌面主要功能
   - `桌面显示系统已安装应用和小插件`
   - ` 应用分组管理`
   - `任务栏可以固定常用应用，显示打开应用的图标`
   - `任务栏支持单指上滑显示`
   - `可以卸载桌面或任务栏的应用`
   - `任务栏显示时间日期，点击时间日期区域可唤起日历`
   - `任务栏显示网络、蓝牙、电量、声音图标`

### 大屏桌面主要功能
   - `大屏桌面显示四个常用的分组，分组内显示默认应用`
   - `删除或增加分组应用`
   - `修改分组的名称`

## 配置文件
	配置文件路径：/etc/ukui-tablet-desktop.conf

## 编译依赖
- `qtdeclarative5-dev`
- `qtquickcontrols2-5-dev`
- `qtdeclarative5-private-dev` - we customized the layout algorithm of GridView to fit cells of different sizes
- `qtbase5-private-dev`
- `qttools5-dev-tools`
- `libkf5kio-dev`
- `libgsettings-qt-dev`
- `libkf5wayland-dev`
- `libkf5windowsystem-dev`
- `libukui-appwidget-manager-dev`
- `libukui-appwidget-provider-dev`
- `libukui-log4qt-dev`
- `libkysdk-waylandhelper-dev`
- `libkysdk-qtwidgets-dev`
- `libkysdk-kabase-dev`

## 编译
```shell
mkdir build
cd build
qmake ../
make
```
## Contact
https://gitee.com/openkylin/ukui-tablet-desktop
