/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12
import org.ukui.tablet 1.0

DropArea {
    opacity: 1
    property int visualIndex: index
    property int pageIndex: modelData.pageIndex
    property int rowSpan: modelData.rowSpan
    property int columnSpan: modelData.columnSpan
    Binding { target: itemRoot; property: "visualIndex"; value: visualIndex }
    Binding { target: itemRoot; property: "pageIndex"; value: pageIndex }
    Binding { target: itemRoot; property: "rowSpan"; value: rowSpan }
    Binding { target: itemRoot; property: "columnSpan"; value: columnSpan }
}
