/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12

ListView {
    anchors.fill: parent
    snapMode: ListView.SnapOneItem
    model: viewMoel
    delegate: listViewItemDelegate
    orientation: ListView.Horizontal
    highlightRangeMode: ListView.StrictlyEnforceRange
    //平板桌面的listview没有这个属性
    boundsBehavior:Flickable.StopAtBounds
    highlightMoveDuration: 500
    highlightFollowsCurrentItem: true
    cacheBuffer: parent.width * listView.count
    clip: false
    focus: true
}
