/*
 * Copyright (C) 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

function createUnInstallDialog(parent, desktopFile, app, imageSource, aboutToCloseSignal) {
    var component = Qt.createComponent("UninstallAppDialog.qml");
    console.log(component.status, component.status === Component.Ready)
    if (component.status === Component.Ready) {
        var dialog = component.createObject(parent, { desktopFile: desktopFile, infoBoxText: app, infoBoxImageSource: imageSource});
        dialog.open()
        aboutToCloseSignal.connect(function() { dialog.close() })
    }
}
